﻿@using WebApp.Shared

<h3>@Status</h3> 

<p>Clicked Row: @ClickedRow</p>
<p>Clicked Column: @ClickedColumn</p>

<div class="board">
	@for (ushort cellIndex = 0; cellIndex < CellCount; cellIndex++)
	{
		ushort _ = cellIndex;
		<Cell @key=_ value=Values[_] OnClick="@(() => HandleCellClick(_))" />
    }
</div>

<button class="btn btn-primary" @onclick="PlayAgain">Play Again</button>

<style scoped>
    .board {
        display: grid;
        grid-template-columns: auto auto auto;
        width: 180px;
        height: 180px;
    }

    button {
        margin: 10px;
    }
</style>